SDL_Keyboard Struct Reference
Collaboration diagram for SDL_Keyboard:
[legend]

## Data Fields

SDL_Window * | focus
Uint16 | modstate
Uint8 | keystate [SDL_NUM_SCANCODES]
SDL_Keycode | keymap [SDL_NUM_SCANCODES]

## Detailed Description

Definition at line 38 of file SDL_keyboard.c.

## Field Documentation

## focus

SDL_Window* SDL_Keyboard::focus

Definition at line 41 of file SDL_keyboard.c.

Referenced by SDL_GetKeyboardFocus(), SDL_SendEditingText(), SDL_SendKeyboardKey(), SDL_SendKeyboardText(), and SDL_SetKeyboardFocus().

## keymap

SDL_Keycode SDL_Keyboard::keymap[SDL_NUM_SCANCODES]

Definition at line 44 of file SDL_keyboard.c.

Referenced by SDL_GetKeyFromScancode(), SDL_GetScancodeFromKey(), SDL_KeyboardInit(), SDL_SendKeyboardKey(), and SDL_SetKeymap().

## keystate

Uint8 SDL_Keyboard::keystate[SDL_NUM_SCANCODES]

Definition at line 43 of file SDL_keyboard.c.

Referenced by SDL_GetKeyboardState(), SDL_ResetKeyboard(), and SDL_SendKeyboardKey().

## modstate

Uint16 SDL_Keyboard::modstate

Definition at line 42 of file SDL_keyboard.c.

Referenced by SDL_GetModState(), SDL_SendKeyboardKey(), SDL_SetModState(), and SDL_ToggleModState().

The documentation for this struct was generated from the following file:

- src/events/SDL_keyboard.c